From 590e8d6221ede60d1a9caeb0d847085281073f4f Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Thu, 30 Jul 2026 05:24:30 +0000
Subject: [PATCH] mesa,mesa-tools-native: upgrade 26.1.5 -> 26.1.6,26.1.5 ->
 26.1.6
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Source: docs/relnotes/26.1.5.rst, docs/relnotes/26.1.6.rst

Mesa 26.1.5 Release Notes / 2026-07-15
======================================

Mesa 26.1.5 is a bug fix release which fixes bugs found since the 26.1.4 release.

Mesa 26.1.5 implements the OpenGL 4.6 API, but the version reported by
glGetString(GL_VERSION) or glGetIntegerv(GL_MAJOR_VERSION) /
glGetIntegerv(GL_MINOR_VERSION) depends on the particular driver being used.
Some drivers don't support all the features required in OpenGL 4.6. OpenGL
4.6 is **only** available if requested at context creation.
Compatibility contexts may report a lower version depending on each driver.

Mesa 26.1.5 implements the Vulkan 1.4 API, but the version reported by
the apiVersion property of the VkPhysicalDeviceProperties struct
depends on the particular driver being used.

SHA checksums
-------------

::

    SHA256: 79e421c7ce18cd9e790b8375920325779f10798630bf30e0b22f1a21c8617122  mesa-26.1.5.tar.xz
    SHA512: 8b1714e0fe63d3077c0d761245680724537a94db65e17dedb7124c7c861f070a13493a060695e81b2ca9b6889007b52c7b5788dace8fe5d8e2e1ed67efdbbf07  mesa-26.1.5.tar.xz

New features
------------

- None

Bug fixes
---------

- A702: assertions at A6XX_TEX_MEMOBJ_4_BASE_LO
- Celestia hit fallback on r300g from git?
- Copy paste bug in \`gallium/drivers/radeonsi/si_texture.c`
- Issues with shadows on DOOM: The Dark Ages - Revelations DLC
- OpenGL app deadlocks in loader_dri3_swap_buffers_msc → xcb_wait_for_special_event on radeonsi / Mesa 26.1 / X11 (Telegram Desktop)
- Qt application TrenchBroom hangs in glXSwapBuffers in recent version of Mesa
- [ANV][PTL] - Elden Ring (1245620) - Blue artifacts and flickering lights with raytracing enabled
- [ANV][PTL] - Persona 3 Reload (2161700) - Blue color on some objects + reflections do not reflect
- [RADV] REGRESSION: Lighting Bleed-through in Need for Speed games on mesa 1:26.1.1-2 ArchLinux
- [RADV] REGRESSION: Weird graphics glitches and Lighting Bleed-through in Saints Row 2
- [RADV] Video color artifacts in mpv
- [radv] Regression causes black patches on the ground in DOOM The Dark Ages Revelations DLC
- frontends/va: Build fails with libva 2.15.0
- r600: SFN assersion failed in Transport fever 2
- v3dv: Compute shader crashes for unknown reason

Changes
-------

Benjamin Cheng (1):

- ac/surface: Remove GFX10 limitation for FORCE_SWIZZLE_MODE

Boris Brezillon (1):

- pan/kmod: Add a pan_kmod_timestamp_cycles_to_ns() helper

Caio Oliveira (1):

- anv: Initialize shader debug archive key size

Christian Gmeiner (2):

- etnaviv: Fix sampler view leak on unsupported texture target
- panvk: Restore push descriptor dirty bit after meta operations

Daivik Bhatia (1):

- nir/opt_copy_prop_vars: kill stale entries when source deref is written

Danylo Piliaiev (1):

- tu: Enable tu_dont_care_as_load for all Kex Engine games

David Rosca (2):

- r600/uvd: Set correct h264 chroma format
- [26.1 only] va: Fix build with free codecs only and libva < 2.16

Eric Engestrom (5):

- docs:

[Changelog truncated as it exceeds 3000 characters;
the full changelog can be found in an attachment to the AUH email]

Source: docs/relnotes/26.1.5.rst, docs/relnotes/26.1.6.rst

Mesa 26.1.5 Release Notes / 2026-07-15
======================================

Mesa 26.1.5 is a bug fix release which fixes bugs found since the 26.1.4 release.

Mesa 26.1.5 implements the OpenGL 4.6 API, but the version reported by
glGetString(GL_VERSION) or glGetIntegerv(GL_MAJOR_VERSION) /
glGetIntegerv(GL_MINOR_VERSION) depends on the particular driver being used.
Some drivers don't support all the features required in OpenGL 4.6. OpenGL
4.6 is **only** available if requested at context creation.
Compatibility contexts may report a lower version depending on each driver.

Mesa 26.1.5 implements the Vulkan 1.4 API, but the version reported by
the apiVersion property of the VkPhysicalDeviceProperties struct
depends on the particular driver being used.

SHA checksums
-------------

::

    SHA256: 79e421c7ce18cd9e790b8375920325779f10798630bf30e0b22f1a21c8617122  mesa-26.1.5.tar.xz
    SHA512: 8b1714e0fe63d3077c0d761245680724537a94db65e17dedb7124c7c861f070a13493a060695e81b2ca9b6889007b52c7b5788dace8fe5d8e2e1ed67efdbbf07  mesa-26.1.5.tar.xz

New features
------------

- None

Bug fixes
---------

- A702: assertions at A6XX_TEX_MEMOBJ_4_BASE_LO
- Celestia hit fallback on r300g from git?
- Copy paste bug in \`gallium/drivers/radeonsi/si_texture.c`
- Issues with shadows on DOOM: The Dark Ages - Revelations DLC
- OpenGL app deadlocks in loader_dri3_swap_buffers_msc → xcb_wait_for_special_event on radeonsi / Mesa 26.1 / X11 (Telegram Desktop)
- Qt application TrenchBroom hangs in glXSwapBuffers in recent version of Mesa
- [ANV][PTL] - Elden Ring (1245620) - Blue artifacts and flickering lights with raytracing enabled
- [ANV][PTL] - Persona 3 Reload (2161700) - Blue color on some objects + reflections do not reflect
- [RADV] REGRESSION: Lighting Bleed-through in Need for Speed games on mesa 1:26.1.1-2 ArchLinux
- [RADV] REGRESSION: Weird graphics glitches and Lighting Bleed-through in Saints Row 2
- [RADV] Video color artifacts in mpv
- [radv] Regression causes black patches on the ground in DOOM The Dark Ages Revelations DLC
- frontends/va: Build fails with libva 2.15.0
- r600: SFN assersion failed in Transport fever 2
- v3dv: Compute shader crashes for unknown reason

Changes
-------

Benjamin Cheng (1):

- ac/surface: Remove GFX10 limitation for FORCE_SWIZZLE_MODE

Boris Brezillon (1):

- pan/kmod: Add a pan_kmod_timestamp_cycles_to_ns() helper

Caio Oliveira (1):

- anv: Initialize shader debug archive key size

Christian Gmeiner (2):

- etnaviv: Fix sampler view leak on unsupported texture target
- panvk: Restore push descriptor dirty bit after meta operations

Daivik Bhatia (1):

- nir/opt_copy_prop_vars: kill stale entries when source deref is written

Danylo Piliaiev (1):

- tu: Enable tu_dont_care_as_load for all Kex Engine games

David Rosca (2):

- r600/uvd: Set correct h264 chroma format
- [26.1 only] va: Fix build with free codecs only and libva < 2.16

Eric Engestrom (5):

- docs:

[Changelog truncated as it exceeds 3000 characters;
the full changelog can be found in an attachment to the AUH email]
---
 ...-freedreno-don-t-encode-build-path-into-binaries.patch | 4 ++--
 .../0001-gallivm-Fix-armhf-build-against-LLVM-22.patch    | 4 ++--
 ...001-meson-misdetects-64bit-atomics-on-mips-clang.patch | 2 +-
 ...intel-compiler-jay-fix-GCC-10-case-label-declara.patch | 5 +----
 ...intel-compiler-jay-jay_ir.h-do-not-used-typed-en.patch | 5 +----
 ...util-u_math.c-do-not-use-arm-fpu-instructions-if.patch | 8 ++++----
 meta/recipes-graphics/mesa/mesa.inc                       | 4 ++--
 7 files changed, 13 insertions(+), 19 deletions(-)

diff --git a/meta/recipes-graphics/mesa/files/0001-freedreno-don-t-encode-build-path-into-binaries.patch b/meta/recipes-graphics/mesa/files/0001-freedreno-don-t-encode-build-path-into-binaries.patch
index e976b3399f..9aa598b2cf 100644
--- a/meta/recipes-graphics/mesa/files/0001-freedreno-don-t-encode-build-path-into-binaries.patch
+++ b/meta/recipes-graphics/mesa/files/0001-freedreno-don-t-encode-build-path-into-binaries.patch
@@ -1,4 +1,4 @@
-From 4ef7487109f9acfa2baf1a2224da31a0ae0c74c6 Mon Sep 17 00:00:00 2001
+From 266f7047df67d500223b66f7eb9d8779be4f4ad1 Mon Sep 17 00:00:00 2001
 From: Dmitry Baryshkov <dmitry.baryshkov@oss.qualcomm.com>
 Date: Wed, 10 Dec 2025 02:27:16 +0200
 Subject: [PATCH] freedreno: don't encode build path into binaries
@@ -25,7 +25,7 @@ Signed-off-by: Quentin Schulz <quentin.schulz@cherry.de>
  2 files changed, 5 insertions(+), 2 deletions(-)
 
 diff --git a/src/freedreno/meson.build b/src/freedreno/meson.build
-index a4bfd33..330b646 100644
+index e8f01b8..8144a75 100644
 --- a/src/freedreno/meson.build
 +++ b/src/freedreno/meson.build
 @@ -4,9 +4,10 @@
diff --git a/meta/recipes-graphics/mesa/files/0001-gallivm-Fix-armhf-build-against-LLVM-22.patch b/meta/recipes-graphics/mesa/files/0001-gallivm-Fix-armhf-build-against-LLVM-22.patch
index 065dd373a7..32fac20d94 100644
--- a/meta/recipes-graphics/mesa/files/0001-gallivm-Fix-armhf-build-against-LLVM-22.patch
+++ b/meta/recipes-graphics/mesa/files/0001-gallivm-Fix-armhf-build-against-LLVM-22.patch
@@ -1,4 +1,4 @@
-From 2a40c481affef4df729d794daf378ed2e0184895 Mon Sep 17 00:00:00 2001
+From 8db6e909c3a540d31a73b79a0792e927cc2c6e83 Mon Sep 17 00:00:00 2001
 From: Alessandro Astone <ales.astone@gmail.com>
 Date: Sun, 1 Mar 2026 18:14:09 +0100
 Subject: [PATCH] gallivm: Fix armhf build against LLVM 22
@@ -13,7 +13,7 @@ Signed-off-by: Jose Quaresma <jose.quaresma@oss.qualcomm.com>
  1 file changed, 1 insertion(+), 1 deletion(-)
 
 diff --git a/src/gallium/auxiliary/gallivm/lp_bld_misc.cpp b/src/gallium/auxiliary/gallivm/lp_bld_misc.cpp
-index d3ad342..c95d86e 100644
+index ce8ca02..86779f0 100644
 --- a/src/gallium/auxiliary/gallivm/lp_bld_misc.cpp
 +++ b/src/gallium/auxiliary/gallivm/lp_bld_misc.cpp
 @@ -331,7 +331,7 @@ lp_build_fill_mattrs(std::vector<std::string> &MAttrs)
diff --git a/meta/recipes-graphics/mesa/files/0001-meson-misdetects-64bit-atomics-on-mips-clang.patch b/meta/recipes-graphics/mesa/files/0001-meson-misdetects-64bit-atomics-on-mips-clang.patch
index b039ac213e..5d90bb2319 100644
--- a/meta/recipes-graphics/mesa/files/0001-meson-misdetects-64bit-atomics-on-mips-clang.patch
+++ b/meta/recipes-graphics/mesa/files/0001-meson-misdetects-64bit-atomics-on-mips-clang.patch
@@ -1,4 +1,4 @@
-From 8943b38a0c14b220e3e173c038c87ce9a697c173 Mon Sep 17 00:00:00 2001
+From 1217bf10e7c79f8e7f716fae8f7ac2f2211c35d2 Mon Sep 17 00:00:00 2001
 From: Khem Raj <raj.khem@gmail.com>
 Date: Mon, 13 Jan 2020 15:23:47 -0800
 Subject: [PATCH] meson misdetects 64bit atomics on mips/clang
diff --git a/meta/recipes-graphics/mesa/files/0001-src-intel-compiler-jay-fix-GCC-10-case-label-declara.patch b/meta/recipes-graphics/mesa/files/0001-src-intel-compiler-jay-fix-GCC-10-case-label-declara.patch
index b8b8718979..8fb73d978f 100644
--- a/meta/recipes-graphics/mesa/files/0001-src-intel-compiler-jay-fix-GCC-10-case-label-declara.patch
+++ b/meta/recipes-graphics/mesa/files/0001-src-intel-compiler-jay-fix-GCC-10-case-label-declara.patch
@@ -1,4 +1,4 @@
-From 0b4b577b7fc926d374234c80267a4bf9dcccb7ef Mon Sep 17 00:00:00 2001
+From e41dee25f266d434e39af66e216a945f0085533b Mon Sep 17 00:00:00 2001
 From: Wang Mingyu <wangmy@fujitsu.com>
 Date: Tue, 16 Jun 2026 09:12:34 +0000
 Subject: [PATCH] src/intel/compiler/jay: fix GCC 10 case label declaration
@@ -37,6 +37,3 @@ index 62b9576..a0a9498 100644
  
     case JAY_OPCODE_DESWIZZLE_EVEN:
        brw_set_default_exec_size(p, BRW_EXECUTE_16);
--- 
-2.43.0
-
diff --git a/meta/recipes-graphics/mesa/files/0001-src-intel-compiler-jay-jay_ir.h-do-not-used-typed-en.patch b/meta/recipes-graphics/mesa/files/0001-src-intel-compiler-jay-jay_ir.h-do-not-used-typed-en.patch
index 904b20d440..2513b0324b 100644
--- a/meta/recipes-graphics/mesa/files/0001-src-intel-compiler-jay-jay_ir.h-do-not-used-typed-en.patch
+++ b/meta/recipes-graphics/mesa/files/0001-src-intel-compiler-jay-jay_ir.h-do-not-used-typed-en.patch
@@ -1,4 +1,4 @@
-From 3adae0d97f655c2991d5b428a3bc95a972e6228b Mon Sep 17 00:00:00 2001
+From 43090e97a7c586a682eb845442191236f3963242 Mon Sep 17 00:00:00 2001
 From: Alexander Kanavin <alex@linutronix.de>
 Date: Sun, 14 Jun 2026 17:42:19 +0200
 Subject: [PATCH] src/intel/compiler/jay/jay_ir.h: do not used typed enum
@@ -34,6 +34,3 @@ index 8307044..abf175a 100644
     enum jay_conditional_mod conditional_mod;
  
     jay_def cond_flag; /**< conditional flag */
--- 
-2.47.3
-
diff --git a/meta/recipes-graphics/mesa/files/0001-src-util-u_math.c-do-not-use-arm-fpu-instructions-if.patch b/meta/recipes-graphics/mesa/files/0001-src-util-u_math.c-do-not-use-arm-fpu-instructions-if.patch
index be79e29e42..55c9c6e1d0 100644
--- a/meta/recipes-graphics/mesa/files/0001-src-util-u_math.c-do-not-use-arm-fpu-instructions-if.patch
+++ b/meta/recipes-graphics/mesa/files/0001-src-util-u_math.c-do-not-use-arm-fpu-instructions-if.patch
@@ -1,4 +1,4 @@
-From 013717829278f02b0815d80a423e05e4bd567ae3 Mon Sep 17 00:00:00 2001
+From 2e41d846e6da26e73418d31b782f6b65eca48c45 Mon Sep 17 00:00:00 2001
 From: Alexander Kanavin <alex@linutronix.de>
 Date: Wed, 1 Jul 2026 22:48:15 +0200
 Subject: [PATCH] src/util/u_math.c: do not use arm fpu instructions if fpu is
@@ -11,10 +11,10 @@ Signed-off-by: Alexander Kanavin <alex@linutronix.de>
  1 file changed, 2 insertions(+), 2 deletions(-)
 
 diff --git a/src/util/u_math.c b/src/util/u_math.c
-index 337baa9..9ad03bf 100644
+index 722eac7..8bcfefa 100644
 --- a/src/util/u_math.c
 +++ b/src/util/u_math.c
-@@ -86,7 +86,7 @@ util_fpstate_get(void)
+@@ -90,7 +90,7 @@ util_fpstate_get(void)
     if (util_get_cpu_caps()->has_neon) {
  #ifdef HAVE___BUILTIN_ARM_GET_FPSCR
        fpstate = __builtin_arm_get_fpscr();
@@ -23,7 +23,7 @@ index 337baa9..9ad03bf 100644
        __asm__ volatile("vmrs %0, fpscr" : "=r"(fpstate));
  #endif
     }
-@@ -151,7 +151,7 @@ util_fpstate_set(unsigned fpstate)
+@@ -157,7 +157,7 @@ util_fpstate_set(unsigned fpstate)
     if (util_get_cpu_caps()->has_neon) {
  #ifdef HAVE___BUILTIN_ARM_SET_FPSCR
        __builtin_arm_set_fpscr(fpstate);
diff --git a/meta/recipes-graphics/mesa/mesa.inc b/meta/recipes-graphics/mesa/mesa.inc
index 15d56c804d..cbf67e50ce 100644
--- a/meta/recipes-graphics/mesa/mesa.inc
+++ b/meta/recipes-graphics/mesa/mesa.inc
@@ -23,8 +23,8 @@ SRC_URI = "https://archive.mesa3d.org/mesa-${PV}.tar.xz \
            file://0001-src-util-u_math.c-do-not-use-arm-fpu-instructions-if.patch \
            "
 
-SRC_URI[sha256sum] = "79e421c7ce18cd9e790b8375920325779f10798630bf30e0b22f1a21c8617122"
-PV = "26.1.5"
+SRC_URI[sha256sum] = "5296b88a0f1e012e2cb9ada150a2bbadf728ca81e5a4fb2ab43c83a4d2158606"
+PV = "26.1.6"
 
 UPSTREAM_CHECK_GITTAGREGEX = "mesa-(?P<pver>\d+(\.\d+)+)"
 
-- 
2.47.1

